Name:           cdogs-sdl
Version:        2.3.0
Release:        %mkrel 1
Summary:        Open source, classic overhead run-and-gun game
Group:          Games/Arcade
License:        GPLv2 and BSD and CC0 and CC-BY and CC-BY-SA
URL:            https://cxong.github.io/cdogs-sdl
Source0:        https://github.com/cxong/cdogs-sdl/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         cdogs-sdl-0.5.8-cmake.patch
Patch1:         fix-build.patch
# UPSTREAM

BuildRequires:  cmake
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  python3dist(protobuf)

# cxong modified the bundled code and upstream seems dead
Provides:       bundled(yajl) == 2.1.0

%description
C-Dogs SDL is a classic overhead run-and-gun game, supporting up to
4 players in co-op and deathmatch modes. Customize your player, choose
from up to 11 weapons, and try over 100 user-created campaigns. Have fun!

%prep
%autosetup -p1

rm -rf src/cdogs/enet

%build
%cmake \
  -DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
  -DCDOGS_BIN_DIR=%{_gamesbindir} \
  -DCDOGS_DATA_DIR=%{_gamesdatadir}/%{name}/ \
  -DOpenGL_GL_PREFERENCE=GLVND \
  -DUSE_SHARED_ENET=ON
%cmake_build

%install
%cmake_install

%files
%doc README.md doc/AUTHORS doc/README_DATA.md doc/original_readme.txt
%{_datadir}/applications/io.github.cxong.%{name}.desktop
%{_datadir}/metainfo/io.github.cxong.%{name}.appdata.xml
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-editor
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/io.github.cxong.%{name}.png


%changelog
* Fri Jun 13 2025 daviddavid <daviddavid> 2.3.0-1.mga10
+ Revision: 2190754
- new version: 2.3.0

* Mon Mar 10 2025 daviddavid <daviddavid> 2.1.0-2.mga10
+ Revision: 2162559
- protobuf is no more needed

* Tue Apr 23 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2060548
- new version: 2.1.0

* Thu Feb 22 2024 daviddavid <daviddavid> 2.0.0-1.mga10
+ Revision: 2043336
- new version: 2.0.0

* Fri Feb 02 2024 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2036723
- new version: 1.5.0

* Fri Apr 01 2022 umeabot <umeabot> 0.12.0-2.mga9
+ Revision: 1840022
- Mageia 9 Mass Rebuild

* Mon Jun 21 2021 akien <akien> 0.12.0-1.mga9
+ Revision: 1731528
- Version 0.12.0

* Tue Jan 26 2021 akien <akien> 0.10.2-1.mga8
+ Revision: 1673410
- Version 0.10.2

* Sun Dec 06 2020 akien <akien> 0.10.1-1.mga8
+ Revision: 1654034
- Version 0.10.1

* Sun Oct 18 2020 akien <akien> 0.9.1-1.mga8
+ Revision: 1636712
- Version 0.9.1

* Thu Feb 20 2020 umeabot <umeabot> 0.7.3-2.mga8
+ Revision: 1546526
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 0.7.3-1.mga8
+ Revision: 1486734
- new version: 0.7.3
+ wally <wally>
- build with new cmake macros

* Thu Oct 31 2019 akien <akien> 0.7.0-1.mga8
+ Revision: 1457145
- Version 0.7.0

* Tue Dec 11 2018 akien <akien> 0.6.9-1.mga7
+ Revision: 1340264
- Version 0.6.9

* Fri Oct 19 2018 akien <akien> 0.6.8-1.mga7
+ Revision: 1322332
- Version 0.6.8

* Sat Sep 22 2018 daviddavid <daviddavid> 0.6.7-4.mga7
+ Revision: 1296314
- add patch to disable -Werror build flags
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun May 27 2018 akien <akien> 0.6.7-3.mga7
+ Revision: 1232471
- Use a %%pretrans lua scriptlet to remove the bogus cdogs-sdl.png folders on upgrade

* Sun May 27 2018 akien <akien> 0.6.7-2.mga7
+ Revision: 1232449
- Add conflicts with < 0.6.7 to fix upgrade due to previously bogus icons

* Fri May 25 2018 akien <akien> 0.6.7-1.mga7
+ Revision: 1232145
- Version 0.6.7

* Thu May 17 2018 akien <akien> 0.6.6-1.mga7
+ Revision: 1230259
- Version 0.6.6

* Mon Oct 02 2017 cjw <cjw> 0.6.5-2.mga7
+ Revision: 1162706
- fix build with gcc 7

* Wed Apr 26 2017 akien <akien> 0.6.5-1.mga6
+ Revision: 1097610
- Version 0.6.5

* Sun Mar 12 2017 akien <akien> 0.6.4-1.mga6
+ Revision: 1092188
- Version 0.6.4
- Build against bundled yajl, cdogs-sdl upstream modified it and yajl upstream is MIA

* Wed Nov 16 2016 akien <akien> 0.6.3-1.mga6
+ Revision: 1067589
- Version 0.6.3

* Sat Jul 23 2016 akien <akien> 0.6.2-1.mga6
+ Revision: 1043305
- Version 0.6.2

* Wed Jun 01 2016 akien <akien> 0.6.1-1.mga6
+ Revision: 1019667
- Version 0.6.1
  o Now fully libre as the freeware artwork was relicensed CC-BY

* Sun Apr 17 2016 akien <akien> 0.6.1-0.20160417.1.mga6.nonfree
+ Revision: 1003133
- Dev snapshot of 0.6.1, more packaging friendly
- Version 0.6.0
- Unbundle enet and yajl

* Thu Mar 05 2015 akien <akien> 0.5.7-1.mga5.nonfree
+ Revision: 817779
- Version 0.5.7, built against system physfs

* Wed Oct 15 2014 umeabot <umeabot> 0.5.5.1-3.mga5.nonfree
+ Revision: 745871
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 umeabot <umeabot> 0.5.5.1-2.mga5.nonfree
+ Revision: 724523
- Mageia 5 Mass Rebuild

* Wed May 14 2014 akien <akien> 0.5.5.1-1.mga5.nonfree
+ Revision: 622672
- Version 0.5.5.1

* Wed Mar 05 2014 akien <akien> 0.5.4-2.mga5.nonfree
+ Revision: 599943
- Fix CMakeLists.txt patch to keep the CREDITS in %%_gamesdatadir/%%name/doc/, it's needed at runtime

* Tue Mar 04 2014 akien <akien> 0.5.4-1.mga5.nonfree
+ Revision: 599493
- imported package cdogs-sdl

